I2CSCAN(8)

NAME
i2cscan - scan an IIC bus for devices

SYNOPSIS
i2cscan [-r] i2cdev

DESCRIPTION
The i2cscan utility scans the IIC bus (iic(4)) specified by i2cdev to determine which addresses respond.

Available options:

-r  scan using 1 byte reads instead of quick writes.

WARNING! Using this utility can access some devices in such a manner as to leave them in an unstable or unusable state. It can also lock up the entire iic(4) bus. Don't use this utility unless you know what you're doing and can accept all sorts of unforeseen consequences.

EXIT STATUS

SEE ALSO
iic(4)